Bug 111731 - Attribute / association cardinality in PDL should be compulsory
Summary: Attribute / association cardinality in PDL should be compulsory
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-09 14:12 UTC by Daniel Berrange
Modified: 2007-04-18 17:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:30:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-12-09 14:12:00 UTC
Description of problem:
The lack of cardinality definitions (ie [0..1], [1..1], etc) for
attributes has been a major source of unexpected problems & bugs in
both object type & query definitions. There is no reason aside from
laziness why an application developer should not explicitly define the
cardinality for all query & object type attributes. The PDL parser
should be changed to make cardinality compulsory. Any object types
without this information can be trivially fixed up by either
mechanically adding '[0..1]' (to preserve current default behaviour)
or examining the domain code to determine the precise requirements.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Error is thrown when an object typee / query attribute does not define
its cardinality.

Additional info:

Comment 1 Daniel Berrange 2006-09-02 17:30:30 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.